TikTok's diagnosis of one Shop Performance Score metric
GET
/api/public/v1/tik_tok_shop/shop_health/metrics/{metricCode}ConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopHealthMetric
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/shop_health/metrics/<metricCode>" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| metricCode | path | string | required |
| locale | query | string | |
| trend_duration_days | query | integer | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| analyses | array of object | |
| analyses[].[].details | array of string | |
| analyses[].[].summaries | array of string | |
| benchmarks | object, nullable | |
| benchmarks.excellentThreshold | string, nullable | |
| benchmarks.poorThreshold | string, nullable | |
| calculation | object, nullable | |
| calculation.denominatorLabel | string, nullable | |
| calculation.denominatorValue | string, nullable | |
| calculation.numeratorLabel | string, nullable | |
| calculation.numeratorValue | string, nullable | |
| dimension | string, nullable | |
| distribution | array of object | |
| distribution[].[].count | integer, nullable | |
| distribution[].[].name | string, nullable | |
| distribution[].[].percent | string, nullable | |
| evaluateDurationDays | integer, nullable | |
| evaluationEndsAt | string (date-time), nullable | |
| evaluationStartsAt | string (date-time), nullable | |
| metricCode | string, nullable | |
| score | string, nullable | |
| status | string, nullable | |
| statusText | string, nullable | |
| trend | array of object | |
| trend[].[].date | string, nullable | |
| trend[].[].value | string, nullable | |
| value | string, nullable | |
| valueUnit | string, nullable |
Example
{
"analyses": [
{
"details": [
"string"
],
"summaries": [
"string"
]
}
],
"benchmarks": {
"excellentThreshold": "string",
"poorThreshold": "string"
},
"calculation": {
"denominatorLabel": "string",
"denominatorValue": "string",
"numeratorLabel": "string",
"numeratorValue": "string"
},
"dimension": "string",
"distribution": [
{
"count": 3,
"name": "Example name",
"percent": "string"
}
],
"evaluateDurationDays": 3,
"evaluationEndsAt": "2026-11-01T15:04:05Z",
"evaluationStartsAt": "2026-11-01T15:04:05Z",
"metricCode": "MAYA15",
"score": "string",
"status": "string",
"statusText": "string",
"trend": [
{
"date": "2026-11-01",
"value": "string"
}
],
"value": "string",
"valueUnit": "string"
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.